%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name: sugar-abacus
Version: 28
Release: 1%{?dist}
Summary: A simple abacus activity for Sugar

Group: Sugar/Activities
License: LGPLv3+
URL: http://activities.sugarlabs.org/addon/4293
Source0: http://download.sugarlabs.org/sources/honey/Abacus/Abacus-%{version}.tar.bz2

BuildArch: noarch
BuildRequires: python-devel
BuildRequires: sugar-toolkit
BuildRequires: gettext
Requires: sugar 

%description
Abacus lets the learner explore different representations of numbers using 
different mechanical counting systems developed by the ancient Romans and 
Chinese. There are several different variants available for exploration: a 
suanpan, the traditional Chinese abacus with 2 beads on top and 5 beads below; 
a soroban, the traditional Japanese abacus with 1 bead on top and 4 beads below;
the schety, the traditional Russian abacus, with 10 beads per column, with the 
exception of one column with just 4 beads used for counting in fourths; and the 
nepohualtzintzin, the traditional Mayan abacus, with 3 beads on top and 4 beads 
below (it uses base 20).

%prep
%setup -q -n Abacus-%{version}

%build
python ./setup.py build

# %find_lang org.sugarlabs.AbacusActivity

%install
python ./setup.py install --prefix=%{buildroot}/%{_prefix}

%find_lang org.sugarlabs.AbacusActivity

%files -f org.sugarlabs.AbacusActivity.lang
%defattr(-,root,root,-)
%doc COPYING NEWS
%{sugaractivitydir}/Abacus.activity/

%changelog
* Mon Oct 31 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 28-1
- Release 28

* Tue Oct 11 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 26-1
- Release 26

* Sat Oct  1 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 24-1
- Update to 24

* Mon Sep 26 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 23-1
- Update to 23

* Wed Aug 10 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 22-1
- Update to 22

* Sat Jun 25 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 20-1
- Update to 20

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 31 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 19-1
- Update to 19

* Mon Sep 27 2010 Peter Robinson <pbrobinson@fedoraproject.org> - 17-1
- Update to 17

* Sat Jun 25 2010 Peter Robinson <pbrobinson@fedoraproject.org> - 14-1
- Update to 14

* Sat Jun 19 2010 Peter Robinson <pbrobinson@fedoraproject.org> - 13-2
- Some spec file cleanups

* Thu Jun 10 2010 Peter Robinson <pbrobinson@fedoraproject.org> - 13-1
- Update to version 13

* Thu Jun 10 2010 Peter Robinson <pbrobinson@fedoraproject.org> - 12-1
- Initial package of abacus
